/* lib */
function strMarge(flag, formFields)
{
	var tmp="";
	if(strMarge.arguments[1].value=="") return tmp;
	
	tmp=strMarge.arguments[1].value+".";
	for(var i=2;i<strMarge.arguments.length; i++)
	{
		tmp+=strMarge.arguments[i].value;
		if(i!=strMarge.arguments.length-1) 
			tmp+=flag;
	}
	return tmp;
}
function strSplit(flag,str,formFields)
{
	var result="";
	if(str=="") return;
	result=str.split(flag);
	for(var i=2;i<strSplit.arguments.length;i++)
		strSplit.arguments[i].value=result[i-2];
}
function setDisabledById(OnOffFlag,formFields)
{
	for (var i = 1; i < setDisabledById.arguments.length; i++)
		document.getElementById(setDisabledById.arguments[i]).disabled = OnOffFlag;
}
function uiSelectById(value, selectBoxId)
{
  var i;
  for (i=0; i< document.getElementById(selectBoxId).length; i++)
  {
  	if (value == document.getElementById(selectBoxId).options[i].value)
      document.getElementById(selectBoxId).options[i].selected = true;
  }
}

function doValidateIP(Address)
{
  var address = Address.match("^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$");
  var digits;
  var i;

  if(address == null) { alert('Invalid IP address ' + Address); return false; }
  digits = address[0].split(".");
  for(i=0; i < 4; i++)
  {
    if((Number(digits[i]) > 255 ) || (Number(digits[i]) < 0 ) || (Number(digits[0]) > 223))
    { alert('Invalid IP address '  + address[0]); return false; }
  }
   return true;
}
function isValidPvc(svpi, svci, type)
{
	var ssvpi=String(svpi.value);
	var ssvci=String(svci.value);
	var result=0;
	if(ssvpi.length==0) result|=1;
	if(_isNumeric(ssvpi)==false) result|=(1<<1);
	if(ssvci.length==0) result|=(1<<4);
	if(_isNumeric(ssvci)==false) result|=(1<<5);
	if(type==0) {
	  if(svpi.value<0 || svpi.value>255) result|=(1<<2);
	  if(svci.value<31 || svci.value>65535) result|=(1<<6);
	}
  return result;
}
/* jsl.js */
function jslSetValue(variable,value)
{
  document.getElementById(variable).value=document.getElementById(value).value;
}
function jslPageErrorMsg(msg)
{
  var hint;
  if(msg!="")
  {
    hint=document.getElementById("uiViewErrorHint");
	if(hint!=null) hint.value="Point at the error marker to see error details";
    alert("Check "+msg+" errors.");
	return false;
  }
  return true;
}
function jslViewToPostCheckBox(PostId,ViewId)
{
  if(document.getElementById(ViewId).value=="on")
   document.getElementById(PostId).value="1";
  else document.getElementById(PostId).value="0";
}
/* val.js */
function valDoValidateIp(Address)
{
  var address = Address.match("^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$");
  var digits;
  var i;
  var error=null;

  if(address == null) { error="Invalid IP address"; }
  else
  {
    digits = address[0].split(".");
    for(i=0; i < 4; i++)
    {
      if((Number(digits[i]) > 255 ) || (Number(digits[i]) < 0 ) || (Number(digits[0]) > 223))
      { error="Invalid IP address"; break; }
    }
  }
  return error;
}
function valDoValidateHostName(HostName)
{
   if (HostName.match("^[a-zA-Z]+") == null) return ("Host Name must start with a character");
   else if (HostName.match("^([a-zA-Z]+[a-zA-Z0-9_-]*)(\.*[a-zA-Z0-9])+$") == null) return ("Host Name does not have correct format");
   else if ((HostName.length == 0) || (HostName.length > 63)) { return("A host name must contain 1..63 characters"); }
   return null;
}
function isNotAllowedCharInString(s)
{ for(var j = 0; j<s.length; j++)
 {
  var ch = s.charAt(j);
  if (ch == '=' || ch == '|' || ch == '&' || ch == '<' || ch == '/' || ch == ':') return false;
 }
 return true;
}
function isPrintingCharInString(s)
{ for(var j = 0; j<s.length; j++)
 {
  var ch = s.charAt(j);
  if (ch < ' ' || ch > '~') return false;
 }
 return true;
}
/* err.js */
var erlPageErrors = new Array();
var erlPageErrorCount=0;
var erlPageErrorSize=0;

var erlStateIdx = 0;
var erlTagIdx = 1;
var erlKeyIdx = 2;
var erlValueIdx = 3;
var erlValueMsg = 4;

function erlDoAddError(state,tag,key,value,msg)
{
  var row;

  if(erlPageErrorCount == erlPageErrorSize)
  {
    erlPageErrors[erlPageErrorCount++] = new Array(state,tag,key,value,msg);
	erlPageErrorSize=erlPageErrorCount;
  }
  else
  {
    row = erlPageErrors[erlPageErrorCount];
    row[erlStateIdx]=state;
		row[erlTagIdx]=state;
    row[erlKeyIdx]=state;
    row[erlValueIdx]=state;
    row[erlValueMsg]=state;
    erlPageErrorCount++;
  }
}

function isSameSubNetAdv(lan1Ip, lan2Ip, lanMask, spec) {
   var count = 0, result=true;
   var l1a_h=0,lm_h=0,l2a_h=0,network=0,network2=0,broadcast=0;
   lan1a = lan1Ip.split('.');
   lan2a = lan2Ip.split('.');
   lanm = lanMask.split('.');
   
   for (i = 0; i < 4; i++) {
   		l1a_h = l1a_h*256 + parseInt(lan1a[i],10);
   		l2a_h = l2a_h*256 + parseInt(lan2a[i],10);
   		lm_h = lm_h*256 + parseInt(lanm[i],10);
   		network2 = network2*256 + (parseInt(lan2a[i],10)&parseInt(lanm[i],10));
   		network = network*256 + (parseInt(lan1a[i],10)&parseInt(lanm[i],10));
   }
   broadcast = (~lm_h) + network;

   if( network2!= network ) result=false;
   if((spec&1)==1) return result;
   
   if( l2a_h == network || l2a_h == broadcast) result=false;   
   if((spec&2)==2) return result;
   
   if( l2a_h == l1a_h) result=false;
   
   return result;
}

function isValidNetwork(lan1Ip,lanMask,type) {
	var count = 0, result=true;
   var l1a_h=0,lm_h=0,network=0,broadcast=0;
   lan1a = lan1Ip.split('.');
   lanm = lanMask.split('.');
   
   for (i = 0; i < 4; i++) {
   		l1a_h = l1a_h*256 + parseInt(lan1a[i],10);
   		lm_h = lm_h*256 + parseInt(lanm[i],10);
   		network = network*256 + (parseInt(lan1a[i],10)&parseInt(lanm[i],10));
   }
   broadcast = (~lm_h) + network;
   
   if( l1a_h!= network ) result=false;
   if(type==1) return result;
   if(lm_h==4294967295 && (parseInt(lan1a[0],10)==0 || parseInt(lan1a[3],10)==0)) result=false;
   if( l1a_h==broadcast && lm_h!=4294967295 ) result=false;
   
   return result;
}

function isMask(s,type)
{
	var mask = s.split(".");
	var ztag=0,total=0;
	
	if(mask.length!=4) return false;
	for( var i=3;i>=0;i--)
	{
		if(_isNumeric(mask[i])==false) return false;
		var nmask=parseInt(mask[i],10);
		total=total+nmask;
		for(var j=0;j<8;j++)
		{
			var tag=(nmask>>j)&1;
			if(tag==1) ztag=1;
			if(ztag==1&&tag==0) return false;
		}
	}
	if(type==1 && total==0) {
		return false;
	}
	return true;
}

function stripInitialZeros (s)
{
	var x = 0;

	while (st.charAt(x) == '0')
		x++;
	if (st.length != 1)
	{
		st = st.substring(x, st.length);
		if (st=="")
			return st = "0";
		else return st;
	}
}

function isEmpty(s)
{	
	if(s.length==0) return true;
	return false;
}

function isWhitespace (s)
{	
	var i;
	if (isEmpty(s)==true) return true;
	for (i = 0; i < s.length; i++)
	{   
		var c = s.charAt(i);
		if ( c==" ") return false;
	}
	return true;
}

function reformatNumber()
{
	for(i=0;i<reformatNumber.arguments.length;i++)
	{
		reformatNumber.arguments[i].value=(parseInt(reformatNumber.arguments[i].value,10)).toString(10);
	}
}
/********************************************************************* 
* Function Name: isValidName(s)
* Description: To verify the string s 
* Return Value: 
* 	0: valid.
*	1: The blank is invalid.
*	2: The s should not a space only.
*	3: The s should not start with a number or space(s).
*	4: The s can only have alpha-numeric characters.
**********************************************************************/
function isValidName(s)
{
	var i=0,cnt=0;
	if(s.length==0) return 1;
	for(i=0;i<s.length;i++)
	{
		var c= s.charAt(i);
		if(s.charAt(i)==" ") cnt++;
	}
	if(s.length==cnt) return 2;
	if(s.match("^[0-9 ]") != null) return 3;
	if(s.match("[^0-9a-zA-Z_ -]") != null) return 4;
	return 0;
}
